curl -X POST "https://heimdall.qa.zoniqx.com/astra/routine/preview" \
-H "Authorization: Bearer <accessToken>" \
-H "x-tenant-id: <your-tenant-id>" \
-H "Content-Type: application/json" \
-d '{
"accountId": "string",
"name": "string",
"receivingEntityId": "string",
"receivingEntityAccountId": "string",
"amount": 0
}'const response = await fetch("https://heimdall.qa.zoniqx.com/astra/routine/preview", {
method: "POST",
headers: {
"Authorization": "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"accountId": "string",
"name": "string",
"receivingEntityId": "string",
"receivingEntityAccountId": "string",
"amount": 0
}),
});
const data = await response.json();type AstraController_previewRoutineResponse = Record<string, unknown>;
const response = await fetch("https://heimdall.qa.zoniqx.com/astra/routine/preview", {
method: "POST",
headers: {
Authorization: "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"accountId": "string",
"name": "string",
"receivingEntityId": "string",
"receivingEntityAccountId": "string",
"amount": 0
}),
});
const data: AstraController_previewRoutineResponse = await response.json();import requests
url = "https://heimdall.qa.zoniqx.com/astra/routine/preview"
headers = {
"Authorization": "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
}
payload = {
"accountId": "string",
"name": "string",
"receivingEntityId": "string",
"receivingEntityAccountId": "string",
"amount": 0
}
response = requests.post(url, headers=headers, json=payload)
data = response.json()